## libopenshot-audio 0.1.2

=== debian/changelog ===
libopenshot-audio (0.1.2-0jessie1) jessie; urgency=medium

  * Rebuild for OBS.
  * Switch to 3.0 (quilt) source format.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 01 Sep 2016 11:06:33 -0700

libopenshot-audio (0.1.1-1) UNRELEASED; urgency=medium

  * New upstream release  

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 27 Mar 2016 23:38:16 -0500

libopenshot-audio (0.0.6-1) UNRELEASED; urgency=low

  * Initial release. Closes: #810787

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 12 Jan 2016 17:45:04 +0000
