=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#DH_VERBOSE = 1

# Hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -pthread -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND = -pthread -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -lpthread -ldl -Wl,--as-needed

# Environment information.
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_build-indep:
	dh_auto_build --indep -- doc

override_dh_install-indep:
	dh_install --indep
	dh_doxygen --indep
