## libopenshot-audio 0.1.2+ds1

=== debian/changelog ===
libopenshot-audio (0.1.2+ds1-3) experimental; urgency=medium

  * Better integration with the system libraries
    - New patch 0004-Use-the-system-libraries.patch
    - Do not inject the system libraries via MAINT_APPEND
    - Drop build dependency on pkg-config, no longer required
  * Fix missing linkage with pthread / libdl directly upstream
    - New patch 0005-Add-missing-linkage-with-pthread.patch
    - New patch 0006-Add-missing-linkage-with-libdl.patch
    - Do not inject pthread / libdl via MAINT_APPEND
  * Fix arch-indep builds

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 02 Feb 2017 17:27:24 +0000

libopenshot-audio (0.1.2+ds1-2) experimental; urgency=medium

  * Fix FTBFS on !linux
    - New patch 0003-Do-not-use-Linux-only-prctl.patch
  * Support the nodoc build profile
    - Add versioned build dependency on dpkg-dev,
    - Mark documentation b-deps and packages as !nodoc
    - Do not build the documentation when nodoc is requested

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Jan 2017 00:18:58 +0000

libopenshot-audio (0.1.2+ds1-1) experimental; urgency=low

  * Initial release. (Closes: #810787)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 15 Dec 2016 20:57:14 +0000
