=== debian/control ===
Source: libopenshot-audio
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               libasound2-dev,
               libflac-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libpng-dev,
               libvorbis-dev,
               libxcursor-dev,
               libxinerama-dev,
               libxrandr-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen <!nodoc>
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libopenshot-audio.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libopenshot-audio.git
Homepage: http://www.openshot.org/

Package: libopenshot-audio3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the shared library.

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio3 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libopenshot-audio-doc <!nodoc>
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files.

Package: libopenshot-audio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>
