## libopenshot-audio 0.1.5+dfsg1

=== debian/changelog ===
libopenshot-audio (0.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.1.5+dfsg1
  * Use dfsg as repack suffix
  * Use HTTPS for upstream homepage
  * Update Standards-Version to 4.1.1, no changes needed
  * Bump library .so version to 6

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 18 Nov 2017 14:24:44 +0100

libopenshot-audio (0.1.4+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Adopt package. (Closes: #872902)
  * Update to Standards-Version 4.1.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 25 Sep 2017 15:00:20 +0200

libopenshot-audio (0.1.4+ds1-1) experimental; urgency=medium

  * Switch from git-dpm to gbp
    - Drop git-dpm configuration
    - Unapply the patch queue
    - Add gbp configuration
    - Refresh the patch queue
    - Drop patch numbering
  * New upstream version 0.1.4+ds1
  * Bump soversion to 5

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 12 Jun 2017 22:16:14 +0100
