=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libopenshot-audio
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
@@ -17,12 +17,12 @@
                libxrandr-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen <!nodoc>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libopenshot-audio.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libopenshot-audio.git
-Homepage: http://www.openshot.org/
+Homepage: https://www.openshot.org/
 
-Package: libopenshot-audio3
+Package: libopenshot-audio6
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libopenshot-audio3 (= ${binary:Version}),
+Depends: libopenshot-audio6 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libopenshot-audio-doc <!nodoc>
 Description: development files for the OpenShot audio library
