## libopenshot-audio 0.1.6+dfsg2

=== debian/changelog ===
libopenshot-audio (0.1.6+dfsg2-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Jul 2018 16:28:06 -0700

libopenshot-audio (0.1.6+dfsg2+62+201806302100~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- OpenShot Code <openshot.code@lists.launchpad.net>  Sat, 30 Jun 2018 21:00:54 +0000

libopenshot-audio (0.1.6-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sat, 30 Jun 2018 01:25:30 -0500

libopenshot-audio (0.1.5-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 12 Nov 2017 03:50:05 -0600

libopenshot-audio (0.1.4-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Thu, 11 May 2017 01:58:02 -0500

libopenshot-audio (0.1.3-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Tue, 09 May 2017 23:57:31 -0500

libopenshot-audio (0.1.2-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Mon, 29 Aug 2016 23:54:57 -0500
