=== debian/control ===
Source: libopenshot-audio
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libasound2-dev,
               libfreetype6-dev,
               libxcursor-dev,
               libxinerama-dev,
               libxrandr-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Homepage: http://www.openshot.org/

Package: libopenshot-audio6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libopenshot-audio2,
          libopenshot-audio1
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the OpenShot audio library.

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio6 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libopenshot-audio-doc
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files for the OpenShot audio library.

Package: libopenshot-audio-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation for the OpenShot audio library.
