## libopenshot-audio 0.1.7+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -168,7 +168,11 @@
 			SOVERSION ${SO_VERSION}
 			INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
 
+set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
+find_package(Threads REQUIRED)
 TARGET_LINK_LIBRARIES(openshot-audio
+	${CMAKE_DL_LIBS}
+	${CMAKE_THREAD_LIBS_INIT}
 	${JUCE_PLATFORM_SPECIFIC_LIBRARIES}
 )
