=== debian/changelog ===
libopenshot-audio (0.1.7+dfsg1-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 03 Dec 2018 15:49:36 -0800

libopenshot-audio (0.1.7+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.1.7+dfsg1
    - Refresh patches
  * Update Standards-Version to 4.2.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 22 Sep 2018 21:42:43 +0200

libopenshot-audio (0.1.6+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.1.6+dfsg1
  * Use debhelper v11
  * Update to Standards-Version 4.2.0, no changes needed
  * Fix wrong path of doc-base information

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 20 Aug 2018 22:09:32 +0200
