=== debian/rules ===
--- 
+++ 
@@ -34,3 +34,6 @@
 	dh_installdocs --indep
 	dh_doxygen --indep
 endif
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
