=== debian/changelog ===
libopenshot-audio (0.1.9+dfsg1-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Bump debhelper compat to 11.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Feb 2020 14:57:31 -0800

libopenshot-audio (0.1.9+dfsg2+99+202002090107~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- OpenShot Code <openshot.code@lists.launchpad.net>  Sun, 09 Feb 2020 01:07:50 +0000

libopenshot-audio (0.1.9-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sat, 08 Feb 2020 18:54:11 -0600

libopenshot-audio (0.1.8-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Wed, 20 Mar 2019 20:43:37 -0500
