## libopenshot-audio 0.2.0%2Bdfsg1

=== debian/changelog ===
libopenshot-audio (0.2.0+dfsg1-4deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:11:05 +0800

libopenshot-audio (0.2.0+dfsg1-4) unstable; urgency=medium

  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Jun 2020 21:03:32 +0200

libopenshot-audio (0.2.0+dfsg1-4~exp1) experimental; urgency=medium

  * [43e53ad] Add libopenshot-audio-test-sound
  * [b36258c] Remove unused license definitions for GPL-2+.
  * [d3892b2] Drop multiarch for the binary
  * [3d36e3b] Add autopkgtest

 -- Anton Gladky <gladk@debian.org>  Fri, 26 Jun 2020 23:07:22 +0200

libopenshot-audio (0.2.0+dfsg1-3) unstable; urgency=medium

  * [77cb64e] Use python3 instead of python3-minimal

 -- Anton Gladky <gladk@debian.org>  Wed, 24 Jun 2020 22:19:20 +0200

libopenshot-audio (0.2.0+dfsg1-2) unstable; urgency=medium

  * [2e4d061] Add python3-minimal for doc-building
  * [2a69e0d] Add d/clean

 -- Anton Gladky <gladk@debian.org>  Wed, 24 Jun 2020 16:29:05 +0200

libopenshot-audio (0.2.0+dfsg1-1) unstable; urgency=medium

  * [d104d0a] Fix --build=all
  * [a197898] Add API to not-installed (is installed from build-dir)

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Jun 2020 22:40:04 +0200

libopenshot-audio (0.2.0+dfsg1-1~exp3) experimental; urgency=medium

  * [da50e75] Fix typo

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Jun 2020 21:30:39 +0200

libopenshot-audio (0.2.0+dfsg1-1~exp2) experimental; urgency=medium

  * [761fdac] Add missing linkage to latomic

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Jun 2020 21:14:02 +0200

libopenshot-audio (0.2.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Ondřej Nový ]
  * [007fd30] Use debhelper-compat instead of debian/compat

  [ Anton Gladky ]
  * [7adddd9] Remove some lines in d/copyright
  * [176db40] Clean/Refresh patches
  * [f934241] Change so-version to 7
  * [5c0fa86] Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [eeaac15] Set compat level 13
  * [7c9125f] Set Standards-Version to 4.5.0
  * [ea754a9] New upstream version 0.2.0+dfsg1. (Closes: #925755)
  * [7b47ce3] Do not install openshot-audio-test-sound
  * [c170db2] Add myself to uploaders
  * [df03f4f] Rules-Requires-Root: no

 -- Anton Gladky <gladk@debian.org>  Fri, 19 Jun 2020 19:11:05 +0200
