=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+BUILDDIR = $(CURDIR)/debian/build
 
 %:
-	dh $@
+	dh $@ --builddirectory=$(BUILDDIR)
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
@@ -34,6 +35,3 @@
 	dh_installdocs --indep
 	dh_doxygen --indep
 endif
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
